#! /usr/local/bin/python3
# -*- coding: utf-8 -*-
import json
import subprocess
import argparse

DEFAULT_IP = "127.0.0.1"
DEFAULT_PORT = "8091"
DEFAULT_PW = "admin"
USER = "user-role-edit"
ROUTE = "/apiv1/update"
CMD = "POST"

parser = argparse.ArgumentParser(description='script for testing update via REST API')
parser.add_argument('-i', dest='ip', type=str, required=False, default=DEFAULT_IP, help="ip address")
parser.add_argument('-p', dest='port', type=str, required=False, default=DEFAULT_PORT, help='port')
parser.add_argument('-P', dest='password', type=str, required=False, default=DEFAULT_PW, help='password')
parser.add_argument('-u', dest='url', type=str, required=True, help='packet url')
parser.add_argument('-t', dest='timeValidity', type=str, required=True, help='time validity')
parser.add_argument("-v", "--verbose", required=False, action="store_true", help='increase output verbosity')
args = parser.parse_args()
try:
    if args.verbose:
        result = subprocess.check_output(["curl", "-#", "-v", "-k", "-H", "Content-Type:application/json",
        "https://"+args.ip+":"+args.port+"/auth", "-d", "{\"username\":\""+USER+"\",\"password\":\""+args.password+"\"}"])
    else:
        result = subprocess.check_output(["curl", "-#", "-k", "-H", "Content-Type:application/json",
        "https://"+args.ip+":"+args.port+"/auth", "-d", "{\"username\":\""+USER+"\",\"password\":\""+args.password+"\"}"])
except subprocess.CalledProcessError:
    print("error while curl request for access token")  # todo: ein wenig genauer

print("got data: \n"+result.rstrip().decode())
jsonBuf = json.loads(result.decode('utf-8'))
rawToken = None
rawToken = jsonBuf['access_token']
data = {'requestData': {'update_type': 'UPDATE_FIRMWARE', 'packet_url': args.url, 'validity': args.timeValidity}}
jsonRequestData = json.dumps(data)
if rawToken is not None:
    print("new token extracted: {0}\n".format(rawToken))
    try:
        if args.verbose:
            result = subprocess.check_output(["curl", "-#", "-d", jsonRequestData, "-v", "-X", CMD, "-k", "-H",
             "Authorization: Bearer "+str(rawToken), "-H", "Content-Type:application/json",
             "https://"+args.ip+":"+args.port+ROUTE])
        else:
            result = subprocess.check_output(["curl", "-#", "-d", jsonRequestData, "-X", CMD, "-k", "-H",
             "Authorization: Bearer "+str(rawToken), "-H", "Content-Type:application/json",
             "https://"+args.ip+":"+args.port+ROUTE])
    except subprocess.CalledProcessError:
        print("error while curl GET request")
    print("got data:\n{0}\n".format(result.decode('utf-8')))
