#!/bin/sh

# Include the calibration definition and helper functions
source /etc/Counter/CalibDefs.sh

CREATE_CAL_CUR=y


# Abort if imported variable is empty
if [ -z $CALDEF_FILE_CUR_INTERN_INI_MD5 ] ; then
    echo                 "$0: CALDEF_FILE_CUR_INTERN_INI_MD5 variable is empty, abort"
    logger -p user.error "$0: CALDEF_FILE_CUR_INTERN_INI_MD5 variable is empty, abort"
    # We can not do anything !
    exit 1
fi


# Check MD5 for current calibration
md5sum -s -c $CALDEF_FILE_CUR_INTERN_INI_MD5
RET=$?
if [ $RET -ne 0 ] ; then
    # Check failed
    CREATE_CAL_CUR=y
    echo                 "$0: MD5 check failed (RET = $RET) for: $CALDEF_FILE_CUR_INTERN_INI"
    logger -p user.error "$0: MD5 check failed (RET = $RET) for: $CALDEF_FILE_CUR_INTERN_INI"
else
    #  Check ok, we do not need create current calibration from production data
    CREATE_CAL_CUR=n
    echo                "$0: MD5 check is ok for: $CALDEF_FILE_CUR_INTERN_INI"
    logger -p user.info "$0: MD5 check is ok for: $CALDEF_FILE_CUR_INTERN_INI"
fi


# Create current calibration from production data if required
if [ $CREATE_CAL_CUR = "n" ] ; then
    echo                "$0: $CALDEF_FILE_CUR_INTERN_INI is valid"
    logger -p user.info "$0: $CALDEF_FILE_CUR_INTERN_INI is valid"
else
    # Create from production data and write md5 file. copy ini file with CalibFromIni-tool.
    /sbin/CalibFromIni -c -s $CALDEF_FILE_PROD_INTERN_INI -i $CALDEF_FILE_CUR_INTERN_INI
    md5sum $CALDEF_FILE_CUR_INTERN_INI > $CALDEF_FILE_CUR_INTERN_INI_MD5
    echo                  "$0: Created from production data: $CALDEF_FILE_CUR_INTERN_INI"
    logger -p user.notice "$0: Created from production data: $CALDEF_FILE_CUR_INTERN_INI"
fi


exit 0
