#!/bin/sh

# Create tar with:
# - content of /var/Counter/config/
# - current used stereo camera calibration
# Note: should be uncompressed for easier usage in prototype

# Include the calibration definition and helper functions
source /etc/Counter/CalibDefs.sh

if [ "$#" -ne 1 ] ; then
    logger -p user.error "$0: invalid number of arguments ($#)"
    exit 1
fi

DIR_NAME=`dirname $1`
if [ ! -d ${DIR_NAME} ] ; then
    logger -p user.error "$0: dir not exist for: $1"
    exit 1
fi

# tar (option '-h' to follow current config symlink /var/Counter/config)
tar -chf $1 /var/Counter/config/ ${CALDEF_FILE_TMP_INTERN_INI} ${CALDEF_FILE_TMP_RECTIFIED_XML} 2>&1 >/dev/null
RET=$?
if [ $RET -ne 0 ] ; then
    logger -p user.error "$0: tar failed (${RET}) to file: $1"
    exit 2
fi

exit 0
