#!/bin/sh

###
# 
# Get echo values with set command
# first value : 0 = no SDCARD, 1 = SDCARD
# second value: path to Base data directory for SOAP, VCR and DFR
# returns 0 on success, 1 on error
#
###

MOUNT_PATH_EH=/media/sdcard
MOUNT_PATH_HH=/data
BASEPATH_FLASH=/CustomData/HAGL
BASEPATH_SD=/media/sdcard/HAGL

# Check whether SD card is expected to be available:
grep -q '^SDCard=' /hwconfig/hwconfig.txt

if [ $? -ne 0 ] ; then
    # This hardware was produced without SD card.
    echo 0 ${BASEPATH_FLASH}
    exit 0
fi

# SD card should be available. Check that it is mounted:
if [ -b /dev/mtdblock0 ] ; then
    mount |grep -q ${MOUNT_PATH_EH}
    if [ $? -ne 0 ] ; then
        # SD card is not mounted, i.e. not available.
        logger "Failure: SD Card expected but not mounted at ${MOUNT_PATH_EH}"
        echo ""
        exit 1
    fi
else
    mount |grep -q ${MOUNT_PATH_HH}
    if [ $? -ne 0 ] ; then
        # SD card is not mounted, i.e. not available.
        logger "Failure: SD Card expected but not mounted${MOUNT_PATH_HH}"
        echo ""
        exit 1
    fi
fi

echo 1 ${BASEPATH_SD}
exit 0
