#!/bin/sh

# Include the calibration definition and helper functions
source /etc/Counter/CalibDefs.sh

# TODO use from a "global include" / common definition
# - FPGA configuration daemon re-init messages
APP_ID_FPGA_CONFIG_D=14
FPGA_CONFIG_D_MSG_ID_LUTS=1
FPGA_CONFIG_D_MSG_ID_PARAMS=2
# - parameter changed message
APP_ID_PARAM_HANDLING=16
PH_MSG_ID_PARAM_FILES_CHANGED=1

if [ -f $1 ] ; then
    cp $1 $CALDEF_FILE_CUR_INTERN_INI
    md5sum $CALDEF_FILE_CUR_INTERN_INI > $CALDEF_FILE_CUR_INTERN_INI_MD5
    logger -p user.notice "$0: calibration replaced: $CALDEF_FILE_CUR_INTERN_INI"
    sync
    sync
    sleep 1

    # update the calibration data in /var/tmp/cal/
    /sbin/CheckCreateWorkingCalib.sh
    logger -p user.notice "$0: calibration replaced in: $CALDEF_DIR_TMP"

    # re-initialize components
    # - FPGA configuration daemon
    /usr/local/bin/APC_SendMsg $APP_ID_FPGA_CONFIG_D $FPGA_CONFIG_D_MSG_ID_LUTS
    /usr/local/bin/APC_SendMsg $APP_ID_FPGA_CONFIG_D $FPGA_CONFIG_D_MSG_ID_PARAMS
    # - Components registered to parameter changed message and rectified XML id
    /usr/local/bin/APC_SendMsg $APP_ID_PARAM_HANDLING $PH_MSG_ID_PARAM_FILES_CHANGED 0 1 $CALDEF_PFT_RECTIFIED_XML_PARAM_ID
    # TODO more components if required

#    # reboot the system
#    # TODO remove the "reboot" if "on-the-fly" re-initialization is implemented for all required components
#	logger -p user.notice "$0: system will be restarted cause new calibration is available"
#	sleep 1
#    mount -o remount,ro /var/Counter
#    # Note: it is not possible to mount the var partition read-only ?!
#    sleep 5
#    reboot
else
    logger -p user.error "$0: calibration source file not exist: $1"
fi




