#!/bin/sh


########################################################################
#
# Create a compressed tar archive with all Data File Recording data files
#
# - TODO use "library" function to get data directory
#
########################################################################

# resulting tar file FQFN
TAR_FILE="/tmp/dfr_data_for_download.tar.gz"

# Get path to Data File Recording data directory (depends on SDCard)
VALS=`/sbin/GetStorePath.sh`
RES=$?
if [ $RES -eq 0 ] ; then
    # evaluate VALS ($1 = SDCard availability, $2 = data directory)
    set ${VALS}
    SDCARD_AVAIL=$1
    DATA_DIR=$2
    if [ $SDCARD_AVAIL -eq 0 ] ; then
        # 0 = no SDCard, set-up command line parameter
        DFR_DATA_DIR=${DATA_DIR}/DFR/data
    elif [ $SDCARD_AVAIL -eq 1 ] ; then
        # 1 = SDCard
        DFR_DATA_DIR=${DATA_DIR}/DFR/data
    else
        echo "unknown SDCard mode (= ${SDCARD_AVAIL})"
        exit 1
    fi
else
    # error occured, do not start DFR application
    echo "script dfr_get_store_path.sh returned an error (= ${RES})"
    exit 1
fi

if [ ! -d ${DFR_DATA_DIR} ] ; then
    echo "DFR data directory not exist: ${DFR_DATA_DIR}"
    exit 1
fi

# delete an existing tar file
if [ -f ${TAR_FILE} ] ; then
    rm -f ${TAR_FILE}
fi

# tar all files in DFR data directory
tar -czf ${TAR_FILE} -C ${DFR_DATA_DIR} .
# TODO evaluate result


exit 0
