#!/bin/sh


########################################################################
#
# Get value for key ($1) from /hwconfig/hwconfig.txt file
# NOTE: key / value pair syntax must be: key=value
# Returns: 0 on success and value on stdout (echo -n value)
#          otherwise 1...4 and an error msg on stderr
#
########################################################################


fnEchoErr() { 
    echo "$@" 1>&2;
}

# check arguments, exit if invalid
if [ "${#}" -ne 1 ] ; then
    fnEchoErr "script called with an invalid number of arguments (= ${#})"
    exit 1
fi

# get argument 1: key (append "=")
KEY="${1}="


VAR=`grep "^${KEY}" /hwconfig/hwconfig.txt`
#echo "VAR: $VAR"
if [ ! -z "$VAR" ] ; then
    RES=`echo $VAR | cut -f 2 -d "="`
    if [ ! -z "$RES" ] ; then
        echo -n "$RES"
        exit 0
    else
        fnEchoErr "no value found for key"
        exit 3
    fi
else
    fnEchoErr "key not found"
    exit 2
fi

fnEchoErr "unknown error occurred"
exit 4
