#!/bin/sh

########################################################################
#
# Get temperature value from ZYNQ temperature sensor
# NOTE: depends on used linux kernel, adapt it if required.
# Currently a raw, offset and scale value must be read, temperature
# is calculated by: (raw + off) * scale -> milli degree celcius
#
########################################################################

set -e

# Get raw, offset and scale value
RAW=`cat '/sys/devices/soc0/amba/f8007100.adc/iio:device0/in_temp0_raw'`
OFF=`cat '/sys/devices/soc0/amba/f8007100.adc/iio:device0/in_temp0_offset'`
SCL=`cat '/sys/devices/soc0/amba/f8007100.adc/iio:device0/in_temp0_scale'`

# Calculate temperatur value in degree celsius
RES=`echo "(${RAW} + ${OFF}) * ${SCL} / 1000" | bc`

# Round
printf "%.*f" 0 ${RES}
