#!/bin/sh

#################################################################################################
#   (c) 2016 by Hella Aglaia Mobile Vision GmbH
#   Author: Andrej Wunrau
#   No usage without written permission.
#   All rights reserved.
#
#   Module: WirelessServices
#   File: wifiGlobalVariables.sh
#
#   Description:    
#
#       Script holds a set of variables and constants that are shared between
#       the different script of the wireless services module.
#
#################################################################################################


# error codes
# ERR_NO_ERROR=0
# ERR_UNSPECIFIED=1
# ERR_WRONG_CALL=2
# ERR_INVALID_PARAMETER=3
# ERR_NOTHING_TO_DO=4
# ERR_OPERATION_FAILED=5
# ERR_LICENSE_MISSING=6
# ERR_CONFIGURATION_INVALID=7

# license
GLOBAL_WIRELESS_LICENSE_NAME="WirelessServices"

# wireless param file
GLOBAL_WIRELESS_SERVICES_PARAM_VALUE_FILE=/var/Counter/config/aps_wireless_services_params_values.xml
GLOBAL_WIRELESS_SERVICES_PARAM_META_FILE=/etc/Counter/ParamMetaFiles/aps_wireless_services_params_meta.xml

# names of scripts for the different modes
GLOBAL_MODE_TRACKING_SCRIPT_NAME="wifiModeTracking.sh"
GLOBAL_MODE_ACCESS_POINT_SCRIPT_NAME="wifiModeAP.sh"
GLOBAL_MODE_WIFI_ACCESS_SCRIPT_NAME="wifiModeAccess.sh"

# names of ip tables config script
GLOBAL_IP_FILTER_CONFIG_SCRIPT_NAME="wifiSetIPFilterRules.sh"

# tool paths
GLOBAL_HOSTAPD_PATH=/usr/local/bin/hostapd
GLOBAL_UDHCPD_PATH=/usr/sbin/udhcpd
GLOBAL_WPA_SUPPLICANT_PATH=/usr/local/sbin/wpa_supplicant
GLOBAL_WPA_PASSPHRASE_PATH=/usr/local/sbin/wpa_passphrase

# tool configuration file paths
GLOBAL_HOSTAPD_CONF=/var/Counter/DeviceSpecific/hostapd.conf
GLOBAL_UDHCPD_CONF=/var/Counter/DeviceSpecific/udhcpd.conf
GLOBAL_WIFI_ACCESS_CONF=/var/Counter/config/wifiAccess.conf

# number of offered IPs when in access point mode
# only last number of IP is used -> GLOBAL_WIFI_DHCP_NO_OF_OFFERED_IPS has to be smaller than 255-10 
GLOBAL_WIFI_DHCP_NO_OF_OFFERED_IPS=10
