#!/bin/sh

source  /etc/init.d/rc1.d/_HelperFunctions/XmlParameter

STARTUP_COMMAND="/usr/local/bin/python3 /usr/local/bin/PsPlatform_d.pyc -p"
IOT_PARAMFILE_NAME="aps_psp_params"

print_message ()
{
    echo $1
    logger -p user.notice $1
}

stop_daemon ()
{
    # stop the daemon
    print_message "Stopping PsPlatform daemon."
    pkill -TERM -f "${STARTUP_COMMAND}"
}

start_daemon ()
{
    print_message "Starting PsPlatform daemon."
    ${STARTUP_COMMAND} &
}

restart_daemon ()
{
    stop_daemon
    sleep 1
    start_daemon
}


##########################################################################
# script starts here
##########################################################################
# check parameters
COMMAND=${1}

if [ $# -eq 1 ]
then
    if  [ ${COMMAND} = "restart" ]
    then
        restart_daemon
        exit 0
    fi
else
    ps | grep -v grep | grep "${STARTUP_COMMAND}"
    if [ $? -eq 0 ]
    then
        IS_DEAMON_ACTIVE=1
    else
        IS_DEAMON_ACTIVE=0
    fi
    IS_DAEMON_SUPPOSED_TO_BE_ACTIVE=`GetParamValue ${IOT_PARAMFILE_NAME} PspEnabled`


    #echo ${IS_DEAMON_ACTIVE}
    #echo ${IS_DAEMON_SUPPOSED_TO_BE_ACTIVE}

    if [ ${IS_DAEMON_SUPPOSED_TO_BE_ACTIVE} -eq 1 ]
    then
        # daemon should be running
        if [ ${IS_DEAMON_ACTIVE} -eq 0 ]
        then
            start_daemon
        fi
    else
        # daemon should not be running
        if [ ${IS_DEAMON_ACTIVE} -eq 1 ]
        then
            stop_daemon
        fi
    fi
fi
