#!/usr/bin/env /usr/local/bin/python3
# -*- coding: utf-8 -*-
#
# setSlaveHostname.py
#       set the hostname for a slave ip in master_slave_params.py
#
# usage:
#       setSlaveHostname.py  IP  hostname
#
# Author: hops
#

import os
import sys

# set correct import paths and import needed modules

from ParamHandling.parameters import Parameters
from msgBroker.PyMsgBroker import PyMsgBroker

msgBroker   = PyMsgBroker()
parameters  = Parameters()



def main (argv):

    if len(argv) != 3:
        print("usage: setSlaveHostname.py  ip hostname")
        sys.exit(1)

    setName   = "aps_master_slave_params"

    msgBroker.connectToMsgBroker()

    paramSetID = -1
    slaveip    = argv[1]
    hostname   = argv[2]

    paramSetID = Parameters.PARAMS_MASTER_SLAVE

    # serach group containing IP
    for i in range (1,10):
        path = "/SlaveList/Slave" + str(i)
        data = parameters.get( paramSetID, path )
        used=data["InUse"]["value"]
        if used != 0:
            ipval = data["SlaveIP"]["value"]
            if ipval == slaveip:
                data["Hostname"]["value"] = hostname
                parameters.set( paramSetID, path, data)
                sys.exit(0)

    print("IP not found")
    sys.exit(1)


if __name__ == "__main__":
    main(sys.argv)
