import struct

FileID_MultilineCountingParams = 160
FileID_VDV301_Params           = 498
FileID_ITxPT_Params            = 499


#--------------------------------------------------------------------------------------------------
def getFileIDList(Payload):
    """Parses an raw PH_MSG_ID_PARAM_FILES_CHANGED message, extracts the FileIDs and returns
       a list with these FileIDs.
    """
    if len(Payload) < 3*4 or len(Payload)%4 != 0:
        return list()   # nothing to extract: return empty list

    Header = struct.unpack("iI", Payload[:8])   # Pid, ElementCount
    ElementCount = int((len(Payload) - 8) / 4)
    if Header[1] < ElementCount:
        ElementCount = Header[1]

    FormatStr = "%di" % ElementCount
    BufferEndPos = 8 + 4*ElementCount
    FileIDs = struct.unpack(FormatStr, Payload[8:BufferEndPos])
    return FileIDs  # this is a list of at least one element
