#!/bin/sh

source  /etc/init.d/rc1.d/_HelperFunctions/XmlParameter

SERVICE=/sbin/APC_SOAP_d
OPTS=""

#
# Check State of SD_CARD and get basepath to store
#
VALS=`/sbin/GetStorePath.sh`
RES=$?
if [ ${RES} -eq 0 ] ; then
    # evaluate VALS ($1 = SDCard availability, $2 = base store path)
    set ${VALS}
    SDCARD_AVAIL=$1
    STORE_PATH=$2
    SD_ERR=0
else
    SDCARD_AVAIL=0
    SD_ERR=1
fi

#
# stop the daemon
#
start-stop-daemon -q -K --signal 15 --exec ${SERVICE} -- ${OPTS}

#
# start daemon if parameter is set accordingly
#
USE_SOAP=`GetParamValue soap_pushservice_params  UseSoapPushService`
if [ x"${USE_SOAP}" = x"1" ] ; then
    if [ ${SD_ERR} -eq 0 ] ; then
        echo -n "Starting SOAP Push Service daemon..."
        SOAP_PATH=${STORE_PATH}/SOAP/
        if [ ! -e ${SOAP_PATH} ] ; then
            # On very first usage the subpath is not yet created:
            mkdir -p ${SOAP_PATH}
        fi
        ${SERVICE} -d ${SOAP_PATH} -s ${SDCARD_AVAIL}
        echo "done."
    fi
fi